-- Paraselene's WildRace
-- Version 0.5.2

ParaseleneWildRace.UIOptions = {}

function ParaseleneWildRace.UIOptions:new(o)
    if type(o) ~= "table" then
        return nil
    end

    local i = {}
    setmetatable(i, self)
    self.__index = self 

    if (type(o.background) == "number") and
       ((o.background == ParaseleneWildRace.backgrounds.holo) or
        (o.background == ParaseleneWildRace.backgrounds.circuit)) then
        i.background = o.background
    end

    return (i:IsValid() and i) or nil
end

function ParaseleneWildRace.UIOptions:IsValid()
    return (self.background ~= nil)
end

function ParaseleneWildRace.UIOptions:Save()
    return {
        background = self.background
    }
end
